Read The Context A Leased Turn Answers (M2M)
The answered history and pending input of a leased turn, with the conversation's visitor memory. An earlier conversation still waiting for its summary is offered only on the conversation's first turn (nothing answered yet), the asynchronous counterpart of a new thread on the visitor context route.
Path Parameters
conversation_id*Conversation Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/bundler/messaging/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/respond-context" \ -H "Content-Type: application/json" \ -d '{ "lease_token": "string", "through_sequence": 0 }'{ "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978", "answered": [ { "sequence": 0, "role": "string", "tool_name": "string", "tool_call_id": "string", "content": "string", "attachments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "image", "media_type": "string", "name": "string", "width": 0, "height": 0, "page_count": 0, "byte_size": 0, "status": "uploading", "reject_reason": "string", "retention": "conversation", "source": "upload", "analysis_status": "not_required", "analysis": { "description": "string", "ocr_text": "string" }, "analysis_model": "string", "analysis_tokens": 0, "delivered_as": "native" } ] } ], "pending": [ { "sequence": 0, "role": "string", "tool_name": "string", "tool_call_id": "string", "content": "string", "attachments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "image", "media_type": "string", "name": "string", "width": 0, "height": 0, "page_count": 0, "byte_size": 0, "status": "uploading", "reject_reason": "string", "retention": "conversation", "source": "upload", "analysis_status": "not_required", "analysis": { "description": "string", "ocr_text": "string" }, "analysis_model": "string", "analysis_tokens": 0, "delivered_as": "native" } ] } ], "lease_expires_at": "2019-08-24T14:15:22Z", "visitor_kind": "string", "memory": [ { "started_at": "2019-08-24T14:15:22Z", "summary": "string" } ], "pending_summary": { "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407", "started_at": "2019-08-24T14:15:22Z", "transcript": [ { "role": "string", "tool_name": "string", "content": "string", "tool_call_id": "string", "attachments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "image", "media_type": "string", "name": "string", "width": 0, "height": 0, "page_count": 0, "byte_size": 0, "status": "uploading", "reject_reason": "string", "retention": "conversation", "source": "upload", "analysis_status": "not_required", "analysis": { "description": "string", "ocr_text": "string" }, "analysis_model": "string", "analysis_tokens": 0, "delivered_as": "native" } ] } ] }, "external_identifier": "string"}Empty
{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}